#!/usr/bin/env python
#
# Copyright (C) 2000-2005 by Yasushi Saito (yasushi.saito@gmail.com)
#
# Pychart is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
#
# Pychart is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
import sys
import pprint
import datetime
from pychart import *

file_ = open('size', 'r')
line = file_.readline()
file_.close()
mebibytes = int(line.strip())

#keys = dir(theme)
#keys.sort()
#for key in keys:
#	sys.stderr.write('%s: %s\n' % (key, getattr(theme, key)))
#theme.output_format = 'pdf'
#theme.reinitialize()

def date_to_ordinal(s):
    month, day, year = map(int, s.split("/"))
    return datetime.date(year, month, day).toordinal()

def show_labels(ordinal):
	 #return "/a60{}" + ordinal_to_label_map[ordinal]
	 return "/hR{}" + ordinal_to_label_map[ordinal]

data = []
label_to_ordinal_map = {}
ordinal_to_label_map = {}
with open('bar-chart-data', 'r') as file_:
	for lineno, line in enumerate(file_):
		fields = line.split()
		label = fields[0]
		value = float(fields[1]) / 60.0
		label_to_ordinal_map[label] = lineno
		ordinal_to_label_map[lineno] = label
		data.append([label, value])

data = chart_data.transform(lambda x: [label_to_ordinal_map[x[0]], x[1]], data)

chart_object.set_defaults(bar_plot.T, direction="horizontal", data=data)

ar = area.T(y_coord = category_coord.T(data, 0),
            x_range = (0, None),
            y_axis = axis.Y(label = "Python Style", format = show_labels),
            x_axis = axis.X(label = "Minutes to deduplicate %d mebibytes (2^20 * %d bytes) of data" % (mebibytes, mebibytes)),
				legend = None,
				size = (500, 500),
				loc = (-225, -200),
				)
ar.add_plot(bar_plot.T(data = data, label=' '))
ar.draw()

